generation == _dbus_current_generation" failed in file dbus-connection.c line 2822. This is normally a bug in some application using the D-Bus library. D-Bus not built with -rdynamic so unable to print a ba"> generation == _dbus_current_generation" failed in file dbus-connection.c line 2822. This is normally a bug in some application using the D-Bus library. D-Bus not built with -rdynamic so unable to print a ba">
MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002674VCMILauncherpublic2017-05-07 19:342017-08-24 02:21
Reportertruckercap 
Assigned ToSXX 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSArchOS VersionKDE/Plasma/X11
Product Version0.99 
Target VersionFixed in Version0.next 
Summary0002674: vcmilauncher gives dbus errors
Descriptionprocess 2431: arguments to dbus_connection_unref() were incorrect, assertion "connection->generation == _dbus_current_generation" failed in file dbus-connection.c line 2822.
This is normally a bug in some application using the D-Bus library.
  D-Bus not built with -rdynamic so unable to print a backtrace
[1] 2431 abort (core dumped) vcmilauncher
Steps To Reproduce-Compile/install vcmi-git from yaourt.
-point to data dir.
  #vcmiclient works just fine.
  #vcmilauncher gives above error.
 
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0002704resolvedSXX Vcmilauncher doesn't start 

-  Notes
(0007011)
AVS (administrator)
2017-05-08 00:03
edited on: 2017-05-08 00:04

There are no usages of DBus in our codebase. May be smth wrong with QT

(0007013)
truckercap (reporter)
2017-05-08 20:25

Thanks. I will look into this and report it where it belongs.


vcmilauncher starts without this error when launched as root.
(0007236)
SXX (administrator)
2017-08-24 02:21

I just dropped SDL2 usage from launcher and implemented same feature with Qt functions:
https://github.com/vcmi/vcmi/commit/1110dd27d1e2be63a9edb3b90a6f90c228913ca8 [^]

- Issue History
Date Modified Username Field Change
2017-05-07 19:34 truckercap New Issue
2017-05-07 19:34 truckercap Status new => assigned
2017-05-07 19:34 truckercap Assigned To => Ivan
2017-05-08 00:03 AVS Note Added: 0007011
2017-05-08 00:04 AVS Note Edited: 0007011 View Revisions
2017-05-08 20:25 truckercap Note Added: 0007013
2017-07-22 12:06 SXX Assigned To Ivan => SXX
2017-07-22 12:06 SXX Relationship added has duplicate 0002704
2017-08-24 02:21 SXX Note Added: 0007236
2017-08-24 02:21 SXX Status assigned => resolved
2017-08-24 02:21 SXX Fixed in Version => 0.next
2017-08-24 02:21 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2017 MantisBT Team
Hosting provided by DigitalOcean